Bug 1138198 - Installation of host, should start the glusterpmd service if monitoring is enabled
Summary: Installation of host, should start the glusterpmd service if monitoring is en...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-host-deploy
Classification: oVirt
Component: Plugins.Gluster
Version: 1.3.0
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: ---
: 1.3.1
Assignee: Darshan
QA Contact: Pavel Stehlik
URL:
Whiteboard: gluster
Depends On: 1138108 1167214
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-04 09:13 UTC by Darshan
Modified: 2016-02-10 18:59 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1138108
: 1159298 (view as bug list)
Environment:
Last Closed: 2014-10-17 12:23:20 UTC
oVirt Team: Gluster


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 32456 master MERGED gluster: Plugin under gluster for glusterpmd configuration. Never
oVirt gerrit 34697 ovirt-host-deploy-1.2 MERGED gluster: Plugin under gluster for glusterpmd configuration. Never

Description Darshan 2014-09-04 09:13:16 UTC
+++ This bug was initially created as a clone of Bug #1138108 +++

Description of problem:

When monitoring via Nagios is enabled, the host installation flow should make sure that the glusterpmd service is running on the newly added host. (Similar to the nrpe configuration that takes place on the host)


Version-Release number of selected component (if applicable):


How reproducible:
Always



Actual results:
Currently, glusterpmd service needs to be started manually on the host. This service monitors the gluster related processes and sends notification to Nagios server.

Expected results:
Service is started automatically.

Additional info:

Comment 1 Alon Bar-Lev 2014-09-04 09:56:37 UTC
what is the action item?

Comment 2 Darshan 2014-09-04 10:12:49 UTC
(In reply to Alon Bar-Lev from comment #1)
> what is the action item?

having a plugin under gluster which would start the glusterpmd service if monitoring is enabled.

Comment 3 Itamar Heim 2014-09-07 08:01:19 UTC
sahina - please set target release

Comment 4 Sandro Bonazzola 2014-10-17 12:23:20 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.